import request from '@/utils/request'

// 查询活动参与记录列表
export function listImLiveActivityRecord(query) {
  return request({
    url: '/service/imLiveActivityRecord/list',
    method: 'get',
    params: query
  })
}

// 查询活动参与记录详细
export function getImLiveActivityRecord(id) {
  return request({
    url: '/service/imLiveActivityRecord/' + id,
    method: 'get'
  })
}

// 新增活动参与记录
export function addImLiveActivityRecord(data) {
  return request({
    url: '/service/imLiveActivityRecord',
    method: 'post',
    data: data
  })
}

// 修改活动参与记录
export function updateImLiveActivityRecord(data) {
  return request({
    url: '/service/imLiveActivityRecord',
    method: 'put',
    data: data
  })
}

// 删除活动参与记录
export function delImLiveActivityRecord(id) {
  return request({
    url: '/service/imLiveActivityRecord/' + id,
    method: 'delete'
  })
}
